package service

func _postProcessSingle[T interface{}](instance *T, has bool, err error) (*T, error) {
	if err != nil {
		return nil, err
	}
	if has {
		return instance, nil
	} else {
		return nil, nil
	}
}

func _postProcessList[T interface{}](instance []*T, has bool, err error) ([]*T, error) {
	if err != nil {
		return nil, err
	}
	if has {
		return instance, nil
	} else {
		return nil, nil
	}
}
